Skip to main content
REST API reference
A newer release of this product is available.

Updates the svm peer permissions

example

updates an svm peer permission <br/>

patch "/api/svm/peer-permissions/d3268a74-ee76-11e8-a9bb-005056ac6dc9/8f467b93-f2f1-11e8-9027-005056ac81fc" {"applications":["flexcache"]}

<br/> # learn more * [doc /svm/peer-permissions](#docs-svm-svm_peer-permissions)

PATCH /svm/peer-permissions/{cluster_peer.uuid}/{svm.uuid}

Introduced In: 9.6

Updates the SVM peer permissions.

  • vserver peer permission modify

Example

Updates an SVM peer permission.

PATCH "/api/svm/peer-permissions/d3268a74-ee76-11e8-a9bb-005056ac6dc9/8f467b93-f2f1-11e8-9027-005056ac81fc" '{"applications":["flexcache"]}'

Parameters

Name Type In Required Description

cluster_peer.uuid

string

path

True

Peer cluster UUID

  • Introduced in: 9.7

svm.uuid

string

path

True

SVM UUID

Request Body

Name Type Description

applications

array[string]

A list of applications for an SVM peer relation.

Example request
{
  "applications": [
    "snapmirror",
    "flexcache"
  ]
}

Response

Status: 200, Ok
Name Type Description

applications

array[string]

A list of applications for an SVM peer relation.

Example response
{
  "applications": [
    "snapmirror",
    "flexcache"
  ]
}

Error

Status: Default

ONTAP Error Response Codes

Error codes Description

26345572

{field} is a required field.

26345574

Failed to find the SVM or volume name with UUID.

Definitions

See Definitions

href

Name Type Description

href

string

cluster_peer

Peer cluster details

Name Type Description

name

string

uuid

string

svm

Local SVM permitted for peer relation. To create peer permissions for all SVMs, specify the SVM name as "*".

Name Type Description

name

string

The name of the SVM.

uuid

string

The unique identifier of the SVM.

svm_peer_permission

Manage SVM peer permissions.

Name Type Description

applications

array[string]

A list of applications for an SVM peer relation.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response